/*--------------------------------------------------------------------------*
  Project:    HWR_Demo
  File:       hwr_sample.h

  Copyright (C) 2011 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/
#ifndef _HWR_SAMPLE_H_
#define _HWR_SAMPLE_H_

/******************************************************************
                        include t@C
*******************************************************************/
#include <string.h>     // str**


#include "CTR_Define.h"
#include "hwr.h"

#ifdef __cplusplus
extern "C" {
#endif    /* __cplusplus */

/******************************************************************
            萔^^`
*******************************************************************/
/* e^[QbgƂɃ[gpXw肷邱 */
#define TEST_DATA_ROOT                "rom:/"
#define SINARIO_FILE                  TEST_DATA_ROOT"sinario.txt"


/*-------------------------------------
 * f֘A̒`
 *-------------------------------------*/
#define INK_NUM_MAX   (14) /* MՃf[^ */
#define MOD_NUM_MAX   (12) /* [h   */
#define DIC_NUM_MAX   (20) /* o^ */

/*-------------------------------------
 * ͘gTCY
 *-------------------------------------*/
#define HWR_WAKU_W    (127)    /* ͘g   */
#define HWR_WAKU_H    (127)    /* ͘g */

#define D_ORG_CODE    (0)      /* IWi̕R[hw */
#define D_REG_CODE    (1)      /* o^pR[hw */

/*-------------------------------------
 * \
 *-------------------------------------*/
typedef struct _InkInfo {
    unsigned short      ecode;       /* MՃTv̕R[h */
    char                dummy[2];    /* Pading                   */
    char                *comment;    /* MՃTv̐       */
    const unsigned char *pInk;       /* MՃTv             */
} InkInfo;

typedef struct _RegInkInfo {
    unsigned short      regEcode;    /* MՃTv̕R[h(o^p) */
    char                dummy[2];    /* Pading                           */
    char                *RegCodeStr; /* MՃTv̐(o^p)       */
    char                *OrgCodeStr; /* MՃTv̐(IWi)   */
    const unsigned char *pInk;       /* MՃTv                     */
} RegInkInfo;

typedef struct _DicInfo {
    char* name;        /*            */
    char* fileName;    /* t@CpX */
} DicInfo;


typedef struct _ModeInfo {
    unsigned short  type;
    unsigned short  dummy;
    char* name;
} ModeInfo;


/*-------------------------------------
 * OQƐ錾
 *-------------------------------------*/

#ifdef __cplusplus
}
#endif    /* __cplusplus */

#endif /* #ifndef _HWR_SAMPLE_H_ */

