/*--------------------------------------------------------------------------*
  Project:    HWR_Demo
  File:       hwr_sample.h

  Copyright (C) 2011 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/
#ifndef _HWR_SAMPLE_H_
#define _HWR_SAMPLE_H_

/******************************************************************
                        include t@C
*******************************************************************/
#include <string.h>     // str**
#include "CTR_Define.h"
#include "hwr.h"

/******************************************************************
            萔^^`
*******************************************************************/
/* e^[QbgƂɃ[gpXw肷邱 */
#define TEST_DATA_ROOT                "rom:/"


/*-------------------------------------
 * ͘gTCY
 *-------------------------------------*/
#define HWR_WAKU_W    (127)    /* ͘g   */
#define HWR_WAKU_H    (127)    /* ͘g */

#if 1
#if 1
#define RECOG_DATA      mw::hwr::HwrRecgData

#define RECOG_INIT      mw::hwr::Initialize
#define RECOG_TERM      mw::hwr::Finalize
#define RECOG_EXEC      mw::hwr::Execute
#define RECOG_MODE      mw::hwr::ChangeMode
#define REGISTER_INIT   mw::hwr::RegisterInitialize
#define REGISTER_TERM   mw::hwr::RegisterFinalize
#define REGISTER_SET    mw::hwr::RegisterSet
#define REGISTER_RESULT mw::hwr::RegisterResult
#define REGISTER_DELETE mw::hwr::RegisterDelete
#define REGISTER_INFO   mw::hwr::RegisterInfo

#else
using namespace mw::hwr;
#define RECOG_DATA      HwrRecgData

#define RECOG_INIT      Initialize
#define RECOG_TERM      Finalize
#define RECOG_EXEC      Execute
#define RECOG_MODE      ChangeMode
#define REGISTER_INIT   RegisterInitialize
#define REGISTER_TERM   RegisterFinalize
#define REGISTER_SET    RegisterSet
#define REGISTER_RESULT RegisterResult
#define REGISTER_DELETE RegisterDelete
#define REGISTER_INFO   RegisterInfo
#endif
#else
#define RECOG_DATA      mwhwrHwrRecgData

#define RECOG_INIT      mwhwrInitialize
#define RECOG_TERM      mwhwrFinalize
#define RECOG_EXEC      mwhwrExecute
#define RECOG_MODE      mwhwrChangeMode
#define REGISTER_INIT   mwhwrRegisterInitialize
#define REGISTER_TERM   mwhwrRegisterFinalize
#define REGISTER_SET    mwhwrRegisterSet
#define REGISTER_RESULT mwhwrRegisterResult
#define REGISTER_DELETE mwhwrRegisterDelete
#define REGISTER_INFO   mwhwrRegisterInfo
#endif

#ifdef __cplusplus
extern "C"
#endif
void HWR_Main( void );
#endif /* #ifndef _HWR_SAMPLE_H_ */

