/*--------------------------------------------------------------------------*
  Project:    HWR_Demo
  File:       demo.cpp

  Copyright (C) 2011 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/
/******************************************************************
                        include t@C
*******************************************************************/
#include <nn.h>
#include <nn/os.h>
#include <nn/fs.h>
#include <nn/applet.h>

#include "hwr_sample.h"

/*!--------------------------------------------------------*
 @brief  : nnMain()
 @param  : Ȃ
 @return : Ȃ
 @summary: fAvC
*----------------------------------------------------------*/
void nnMain()
{
    nn::Result result;

    PRINT_OUT2("Demo Start\n");

    // fs ̏
    nn::fs::Initialize();

    // hid ̏
    result = nn::hid::Initialize();

    // z[j[sł悤 nn::applet::Enable() ̂݌Ă
    // z[j[Jڂd{^NbNAX[vɂ͔Ή
    nn::applet::Enable();

    OS_MEM_INIT();
    PRINT_OUT2("MEM_INIT OK\n");

    FILE_IO_INIT();
    PRINT_OUT2("FIL_IO_INIT OK\n");

	// HWR s
    HWR_Main();

    nn::hid::Finalize();
    FILE_IO_TERM();
    OS_MEM_TERM();

    PRINT_OUT2("Demo End\n");



}
