/*--------------------------------------------------------------------------*
  Project:    HWR_Demo
  File:       hwr_wrap.h

  Copyright (C) 2011 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/
#ifndef _HWR_WRAP_H_
#define _HWR_WRAP_H_

/******************************************************************
                        include t@C
*******************************************************************/
#include "hwr.h"

#ifdef __cplusplus
extern "C" {
#endif    /* __cplusplus */

/******************************************************************
            萔^^`
*******************************************************************/
short WRAP_RecogInitialize( short fsizeX, short fsizeY, unsigned char *spath );
short WRAP_RecogFinalize( void );
short WRAP_RecogExecute( mw::hwr::HwrRecgData *rdata );
short WRAP_RecogChangeMode( unsigned short rmode );
short WRAP_RegisterInitialize( unsigned short count, unsigned char *RegDicMem );
short WRAP_RegisterFinalize(void );
short WRAP_RegisterSet (unsigned short ecode, unsigned char *idat);
short WRAP_RegisterResult (unsigned short *ecode, unsigned short *deg);
short WRAP_RegisterDelete (unsigned short ecode);
short WRAP_RegisterInfo (unsigned short *ecode);

#ifdef __cplusplus
}
#endif    /* __cplusplus */

#endif /* #ifndef _HWR_WRAP_H_ */

