/*-----------------------------------------------------------------------*
 Project: [HWR_GuiSample]
 File: [hwr_mw.h]

 Copyright (C) 2011 Nintendo Co., Ltd. All rights reserved.

 These coded instructions, statements, and computer programs contain
 proprietary information of Nintendo of America Inc. and/or Nintendo
 Company Ltd., and are protected by Federal copyright law. They may
 not be disclosed to third parties or copied or duplicated in any form,
 in whole or in part, without the prior written consent of Nintendo.

 $Revision: $
*-----------------------------------------------------------------------*/

#ifndef __HWR_MW_H__
#define __HWR_MW_H__

/******************************************************************
                        include t@C
*******************************************************************/
#include <string.h>     // str**

#include "CTR_Define.h"
#include "hwr.h"

/* e^[QbgƂɃ[gpXw肷邱 */
#define TEST_DATA_ROOT                "rom:/"


/*-------------------------------------
 * f֘A̒`
 *-------------------------------------*/
#define DIC_NUM_MAX    (20) /* o^ */
#define MODE_NUM_MAX   (12) /* [h   */

/*-------------------------------------
 * ͘gTCY
 *-------------------------------------*/
#define HWR_WAKU_W        (127)    /* ͘g   */
#define HWR_WAKU_H        (127)    /* ͘g */

/*-------------------------------------
 * \
 *-------------------------------------*/
typedef struct {
    u8   x;
    u8   y;
} Position;

typedef struct {
    u16 moji;    /* FʕR[h  */
    u16 deg;     /* Fʕ]l      */
} ResultInfo;

typedef struct {
    char* name;        /*            */
    char* fileName;    /* t@CpX */
} DicInfo;


typedef struct {
    unsigned short  type;
    unsigned short  dummy;
    char* name;
} ModeInfo;


typedef struct {
    int             dicIndex;
    unsigned short  mode;
    unsigned short  dummy;
} SuitableInfo;

#ifdef __cplusplus
#define EXTERN_C extern "C"
#else
#define EXTERN_C extern
#endif    /* __cplusplus */

EXTERN_C short hwr_mw_init(int,int);
EXTERN_C short hwr_mw_exec( u8*, long );
EXTERN_C short hwr_mw_end(void);
EXTERN_C short hwr_mw_mode( int );
EXTERN_C short getScore(ResultInfo*,int);
EXTERN_C char* getDicName(int);
EXTERN_C char* getModeName(int);
EXTERN_C short getModeType(int);


#endif    /* #ifndef __HWR_MW_H__ */
